'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function () {
  return {
    visitor: {
      ImportDeclaration: function ImportDeclaration(path, state) {
        var projectPathSuffix = typeof state.opts.projectPathSuffix == 'string' ? state.opts.projectPathSuffix : '';

        var importPathPrefix = typeof state.opts.importPathPrefix == 'string' ? state.opts.importPathPrefix + '/' : '~/';

        var sourceRoot = (0, _helper.normalizeSourceRoot)(state.file.opts.sourceRoot, projectPathSuffix);

        // Tried to use filenameRelative but it doesn't seem to be set correctly
        // by any major wrapper for babel.
        var filename = (0, _helper.normalizeFilename)(state.file.opts.filename, sourceRoot);

        if (!filename) return;

        var importPath = path.node.source.value;
        var importPathWithoutPrefix = (0, _helper.checkAndRemovePrefix)(importPath, importPathPrefix);

        if (importPathWithoutPrefix) {
          path.node.source.value = (0, _helper.transformPath)(importPathWithoutPrefix, filename, sourceRoot);
        }
      }
    }
  };
};

var _helper = require('./helper');